<?php

return [
    'authUrl' => env('AUTH_URL'),
    'adminPortalUrl' => env('ADMIN_PORTAL_URL', 'https://fe.scholar.securecpu.com'),
    'backendUrl' => env('BACKEND_URL','https://scholar.securecpu.com'),

    // tweak these to adjust fuzzy search match strictness
    'fuzzySearchMinimumSimilarityScore' => [
        'allergy' => 0.11,
        'medication' => 0.11,
        'problem' => 0.11,
    ],

    'segmentRefreshConfig' => [
        'typeToSegments' => [
            'allergy' => [
                'intake_allergies',
                'plan_allergies',
                'allergies',
                'omega_allergies',
                'omega_subjective_system',
                'omega_plan_system',
                'omega_assessment_system',
            ],
            'medication' => [
                'intake_medications',
                'plan_medications',
                'omega_medications',
                'medications',
                'omega_subjective_system',
                'omega_plan_system',
            ],
            'problem' => [
                'intake_problems',
                'plan_problems',
                'omega_problems',
                'problems',
                'omega_subjective_system',
                'omega_plan_system',
                'omega_assessment_system',
            ],
            'goal' => [
                'intake_goals',
                'plan_goals',
                'omega_goals',
                'goals',
                'omega_subjective_system',
                'omega_plan_system',
            ],
            'care-team-member' => [
                'intake_care_team',
                'plan_care_team',
                'omega_care_team',
                'care_team',
                'omega_subjective_system',
                'omega_plan_system',
            ],
        ],

        'wizardToTypes' => [
            'allergies-center' => ['allergy'],
            'medications-center' => ['medication'],
            'problems-center' => ['problem'],
            'goals-center' => ['goal'],
            'careteam-center' => ['care-team-member']
        ],

        'wizardToSegments' => [
            'past_medical_history/edit' => ['omega_history_past_medical'],
            'history_family/edit' => ['omega_history_family'],
            'history_social/edit' => ['omega_history_social'],
            'history_surgical/edit' => ['omega_history_surgical'],
            'weight_loss_intake/edit' => ['omega_subjective_system', 'omega_plan_system'],
            'lifestyle_general/edit' => ['omega_subjective_system', 'omega_plan_system'],
            'lifestyle_physical_activity/edit' => ['omega_subjective_system', 'omega_plan_system'],
            'lifestyle_sleep/edit' => ['omega_subjective_system', 'omega_plan_system'],
            'lifestyle_social_relationships/edit' => ['omega_subjective_system', 'omega_plan_system'],
            'lifestyle_stress/edit' => ['omega_subjective_system', 'omega_plan_system'],
            'lifestyle_substances/edit' => ['omega_subjective_system', 'omega_plan_system'],
            'nutrition-center' => ['omega_subjective_system', 'omega_plan_system'],
            'exercise-center' => ['omega_subjective_system', 'omega_plan_system'],
            'behavior-center' => ['omega_subjective_system', 'omega_plan_system'],
            'sleep_health_intake/edit' => ['omega_subjective_system', 'omega_plan_system'],
            'lifestyle_social/edit' => ['omega_subjective_system', 'omega_plan_system'],
            'lifestyle_nutrition/edit' => ['omega_subjective_system', 'omega_plan_system'],
        ],
    ]
];
