@extends ('layouts/template')

@section('content')
<div class="p-3 mcp-theme-1" id="patients-list">
	<div class="card border-bottom-0">

		<div class="card-header px-3 py-2 d-flex align-items-center">
			<strong class="mr-4">
				<i class="fas fa-users"></i>
				Patients Notes Points Filter
			</strong>
		</div>
		<div class="p-3">
			@include('app.admin.patients-notes-points-filter-form')
		</div>
		@if($records)
			<table class="table table-striped p-0 m-0 table-sm border-top border-bottom ">
				<thead class="bg-light">
					<tr>
						<th class="border-0">Chart #</th>
						<th class="border-0">Patient</th>
						<th class="border-0">Cell #</th>
						<th class="border-0">Phone #</th>
						<th class="border-0">Email Address</th>
						<th class="border-0">DOB</th>
						<th class="border-0">MCP</th>
						<th class="border-0">Last Visit Date</th>
						<th class="border-0">Cover</th>
					</tr>
				</thead>
				<tbody>
					@foreach($records as $record)
					<tr>
						<td>
							<a href="{{route('patients.view.dashboard', $record->client_uid)}}">
								{{$record->chart_number}}
							</a>
						</td>
						<td>
							<a href="{{route('patients.view.settings', $record->client_uid)}}">
								{{$record->patient_name}}
							</a>
						</td>
						<td>{{ $record->cell_number }}</td>
						<td>{{ $record->phone_home ?? $record->phone_work ?? $record->phone_mobile }}</td>
						<td>{{ $record->email_address }}</td>
						<td>{{ friendly_date($record->dob) }}</td>
						<td>{{ $record->mcp_name }}</td>
						<td>{{ friendly_date($record->last_visit_date) }}</td>
						<td>{{ $record->cover }}</td>
					</tr>
					@endforeach

					@if(count($records) === 0)
					<tr>
						<td colspan="8">No records found!</td>
					</tr>
					@endif
				</tbody>

			</table>
		@endif
	</div>
	@if($records)
		<div class="p-3">
			{{$records->withQueryString()->links()}}
		</div>
	@endif
	@if(!$records)
		<small class="text-info">Enter search string(s) in the above input to start filtering!</small>
	@endif
</div>
</div>
</div>
@endsection