<style>
    #admin-points-filters label {
        font-weight: bold;
    }

    #admin-points-filters .mw-100px {
        min-width: 100px;
    }

    .filter-container {
        display: flex;
        align-items: flex-start;
        flex-wrap: wrap;
    }

    .filter-container > div {
        width: 165px;
    }

    .filter-container > div:not(:last-child) {
        margin-right: 10px;
    }

    .sm-section {
        width: 125px !important;
        margin-bottom: 10px;
    }
</style>
<form id="admin-points-filters" method="GET" action="{{ route('admin.points') }}" up-autosubmit>
    <div class="">
        <fieldset name="Intentions">
            <legend>
                Intentions
            </legend>
            @foreach($intentions as $intention)
                <div class="d-inline-block">
                    <label for="">
                        <input type="checkbox" name="intentions[]" value="{{$intention->intention}}"
                               @if(isset($filters['intentions']) && in_array($intention->intention, $filters['intentions'])) checked @endif>
                        {{$intention->intention}}({{$intention->count}})
                    </label>
                </div>
            @endforeach
        </fieldset>
    </div>

    @if(isset($categories) && count($categories))
        <div class="">
            <fieldset name="Categories">
                <legend>
                    Categories
                </legend>
                    <div class="d-inline-block">
                        <select class="select2" name="categories[]" multiple>
                            <option value="">--select--</option>
                            @foreach($categories as $category)
                                <option value="{{$category->category}}"
                                        @if(isset($filters['categories']) && in_array($category->category, $filters['categories'])) selected @endif>
                                    {{$category->category}}({{$category->count}})
                                </option>
                            @endforeach
                        </select>

                    </div>
            </fieldset>
        </div>
    @endif

    @if(isset($names) && count($names))
        <div class="">
            <fieldset name="Names">
                <legend>
                    Data
                </legend>

                <div class="d-inline-block">

                    <select class="select2" name="names[]" multiple>
                        <option value="">--select--</option>
                        @foreach($names as $name)
                            <option value="{{$name->name}}"
                                    @if(isset($filters['names']) && in_array($name->name, $filters['names'])) selected @endif>
                                {{$name->name}}({{$name->count}})
                            </option>
                        @endforeach
                    </select>
                </div>

            </fieldset>
        </div>
    @endif


    <div>
        <div class="">
            <label>&nbsp;</label>
            <div class=" d-flex">
                <button class="btn btn-primary btn-sm mr-2"><i
                        class="fas fa-filter"></i> Filter
                </button>
                <a href="{{ route('admin.points') }}"
                   class="btn btn-link btn-sm text-danger">Clear</a>
            </div>
        </div>
    </div>
</form>

