<div class="card mb-4" stag-collapsible-card="mcp-rm">
    <div class="card-header pl-2">
        <strong>
            Care Months <sup class="text-danger" style="font-size:11px">NEW</sup>
        </strong>
    </div>
    <div class="card-body p-0">
        <div class="p-1">
          @include('app.mcp.dashboard.caremonth-tiers-filter')
        </div>
        <table class="table table-sm table-striped">
            <thead>
                <tr>
                    <th>Patient</th>
                    <th>Days with meas.</th>
                    <th>Mins Billed</th>
                    <th>Inter.</th>
                    <th>Billable</th>
                </tr>
            </thead>
            <tbody>
                @foreach($caremonthTiersList as $cm)
                <?php
                    $lastVisitWithinDays = ($cm->days_between_most_recent_mcp_note_date_and_end_of_care_month  <= config('app.maxDaysSinceLastVisit'));
                ?>
                <tr class="{{$cm->tier() ? 'bg-warning-mellow' : ''}}" discardable-container="">
                    <td>
                        <a class="d-block" href="{{ route('patients.view.care-months.view.dashboard', ['patient' => $cm->client, 'careMonth' => $cm]) }}">{{ $cm->client->displayName() }}</a>
                    </td>
                    <td>
                        {{ $cm->number_of_days_with_remote_measurements ?? 0 }} days
                    </td>
                    <td>
                        {{floor($cm->rm_total_time_in_seconds_by_mcp / 60)}}m
                    </td>
                    <td>
                        @if($lastVisitWithinDays && $cm->has_mcp_interacted_with_client_about_rm)
                            <span class="text-success font-weight-bold">Yes</span>
                        @else
                            <span class="text-warning-mellow">No</span>
                        @endif
                    </td>
                    <td>
                        @if($cm->tier() === 'TIER_1')
                            <span class="text-success">Yes</span> <span class="ml-1 text-secondary text-sm font-weight-bold">(Tier 1)</span>
                        @elseif($cm->tier() === 'TIER_2')
                          <span class="text-success">Yes</span> <span class="ml-1 text-secondary text-sm font-weight-bold">(Tier 2)</span>
                        @else
                            <span class="text-danger">No</span>
                        @endif
                        @include('app.patient.care-month.partials.tier-explainer', ['careMonth' => $cm])
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <div>
            {{ $caremonthTiersList->withQueryString()->links() }}
        </div>
    </div>
</div>
