@extends ('layouts.patient')

@section('inner-content')

<style>
    .eligible-table td {
        white-space: nowrap;
    }
</style>

<div>
    <div class="d-flex align-items-center" style="gap:15px;">
        <h4 class="font-weight-bold m-0 font-size-16">Insurance Cards</h4>
        <div>
            @include('app.patient.partials.insurance-cards.forms.create')
        </div>
    </div>

    <table class="table table-sm table-striped table-bordered mt-3 mb-0">
        <thead>
            <tr>
                <th class="border-0">Created At</th>
                <th class="border-0">Coverage Order</th>
                <th class="border-0">Member ID</th>
                <th class="border-0">Group ID</th>
                <th class="border-0">Carrier Category</th>
                <th class="border-0">Carrier Name</th>
                <th class="border-0"></th>
            </tr>
        </thead>
        <tbody>
            @foreach($insuranceCards as $card)
            <tr>
                <td><a href="{{ route('patients.view.insurance-card', ['patient' => $patient, 'card' => $card]) }}">{{ friendly_date($card->created_at) }}</a></td>
                <td>{{ $card->coverage_order }}</td>
                <td>{{ $card->member_id }}</td>
                <td>{{ $card->group_id }}</td>
                <td>{{ $card->carrier_category }}</td>
                <td>{{ $card->carrier_name }}</td>
                <td>
                    <div moe relative wide class="ml-2 hide-inside-popup">
                        <a start show>
                        <i class="fa fa-info-circle on-hover-opaque"></i>
                        </a>
                        <form url="" class="mcp-theme-1" right>
                        @include('app.patient.partials.display-coverage-details', ['displayCoverage' => $card ])
                        </form>
                    </div>
                </td>
            </tr>
            @endforeach
        </tbody>
    </table>
</div>
@endsection