<div class="d-flex align-items-baseline">
    <?php
    $cards = $insurance_cards;
    $cardsArray = $cards;
    if (!is_null($cards)) {
        if(is_string($cards)) {
            $cardsArray = json_decode($cards);
            usort($cardsArray, function ($a, $b) {
                return strcmp($a->coverage_order, $b->coverage_order); // Ascending
            });
        }
    }
    ?>

    @if($cardsArray == null)
        <small class="text-muted">-</small>
    @else
        <div>
            @foreach($cardsArray as $card)
                <div class="min-width-110px w-100 d-flex justify-content-start align-items-baseline">

                    <?php
                        if(property_exists($card, 'effective_eligibility_check')) {
                            if(is_string($card->effective_eligibility_check)) {
                                $card->effective_eligibility_check = json_decode($card->effective_eligibility_check);
                            }
                        }
                    ?>

                    <span style="min-width: 14px">
                    @if(property_exists($card, 'effective_eligibility_check') && $card->effective_eligibility_check)
                        @if($card->effective_eligibility_check->is_valid)
                            <i class="fa fa-check-circle text-success"></i>
                        @else
                            <i class="fa fa-times text-danger"></i>
                        @endif
                    @else
                        <i class="fas fa-hourglass-half text-warning" title="Pending Validation"></i>
                    @endif
                    </span>

                    @if($card->carrier_category == 'MEDICARE')
                        <span class="ml-1 pr-2">Medicare</span>
                    @elseif($card->carrier_category == 'MEDICAID')
                        <span class="ml-1 pr-2">Medicaid</span>
                    @elseif($card->carrier_category == 'COMMERCIAL')
                        <span class="ml-1 pr-2">{{$card->carrier_name}}</span>
                    @endif

                    <span class="ml-1 text-muted text-sm">{{substr($card->coverage_order, 0, 3)}}</span>
                </div>
            @endforeach
        </div>
    @endif

</div>
