<div id="patient-cm-setup">

    <div class="font-weight-bold pb-2 mb-2 border-bottom">Eligibility</div>

    <div class="mb-2 d-flex align-items-baseline">
        <span class="mr-2 min-width-110px">CCM Eligibility:</span>
        <span class="font-weight-bold ">{{ ucwords($patient->is_eligible_for_cm ? $patient->is_eligible_for_cm : '-') }}</span>
        <div moe class="ml-3">
            <a start show><i class="fa fa-edit on-hover-opaque"></i></a>
            <form url="/api/client/updateCmEligibility" class="mcp-theme-1">
                <input type="hidden" name="uid" value="{{$patient->uid}}">
                <div class="mb-2">
                    <label class="text-sm mb-1 text-secondary">Is Eligible?</label>
                    <select name="isEligibleForCm"
                            class="form-control form-control-sm"
                            {{$patient->is_enrolled_in_cm === 'YES' ? 'disabled' : '' }}
                            onchange="toggleDisabledAsNeeded(this, 'NO', 'not-eligible-for-cm')">
                        <option value="">-- Select Status --</option>
                        <option value="YES" {{ $patient->is_eligible_for_cm === 'YES' ? 'selected' : '' }}>YES</option>
                        <option value="NO" {{ $patient->is_eligible_for_cm === 'NO' ? 'selected' : '' }}>NO</option>
                        <option value="UNKNOWN" {{ $patient->is_eligible_for_cm === 'UNKNOWN' ? 'selected' : '' }}>UNKNOWN</option>
                    </select>
                </div>
                <div class="mb-2">
                    <label class="text-sm mb-1 text-secondary">Why not eligible category</label>
                    <input type="text" class="not-eligible-for-cm form-control form-control-sm"
                           {{$patient->is_eligible_for_cm === 'NO' ? '' : 'disabled' }}
                           name="whyNotEligibleForCmCategory" value="{{$patient->why_not_eligible_for_cm_category}}">
                </div>
                <div class="mb-2">
                    <label class="text-sm mb-1 text-secondary">Why not eligible memo</label>
                    <input type="text" class="not-eligible-for-cm form-control form-control-sm"
                           {{$patient->is_eligible_for_cm === 'NO' ? '' : 'disabled' }}
                           name="whyNotEligibleForCmMemo" value="{{$patient->why_not_eligible_for_cm_memo}}">
                </div>
                <div>
                    <button submit class="btn btn-sm btn-primary mr-1">Submit</button>
                    <button cancel class="btn btn-sm btn-default border">Cancel</button>
                </div>
            </form>
        </div>
        @if($patient->is_eligible_for_cm === 'NO')
            <span class="ml-1 on-hover-show d-inline-block on-hover-opaque">
                <i class="fa fa-info-circle"></i>
                <div class="on-hover-content py-2 pl-3 text-nowrap text-dark" style="left:0;right:auto;">
                    <div>
                        <small class="text-sm"><b>Category:</b> {{$patient->why_not_eligible_for_cm_category ?: '-'}}</small>
                    </div>
                    <div>
                        <small class="text-sm"><b>Memo:</b> {{$patient->why_not_eligible_for_cm_memo ?: '-'}}</small>
                    </div>
                </div>
            </span>
        @endif
    </div>

    <div class="font-weight-bold py-2 mb-2 border-bottom">Enrollment</div>

    <div class="mb-2 d-flex align-items-baseline">
        <span class="mr-2 min-width-110px">CCM Enrollment:</span>
        <div class="width-300px d-inline-flex align-items-center">
            @if($patient->is_enrolled_in_cm === 'YES')
                <span class="text-nowrap text-success">
                    <i class="fa fa-check"></i>
                    <b>Enrolled</b>
                </span>
                <div moe class="ml-3">
                    <a href="" show start>Undo</a>
                    <form url="/api/client/setIsEnrolledInCmToFalse" >
                        <input type="hidden" name="uid" value="{{$patient->uid}}">
                        <p>Un-enroll from CCM?</p>
                        <div class="mb-0">
                            <button class="btn btn-primary btn-sm" submit>Submit</button>
                            <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
            @else
                <span class="text-nowrap text-warning-mellow">
                    <i class="fa fa-times"></i>
                    <b>Not Enrolled</b>
                    <span class="text-secondary">&nbsp;(to be done from within a note)</span>
                </span>
            @endif
        </div>
    </div>

    <div class="d-flex align-items-baseline mb-2">
        <span class="mr-2 min-width-110px">CCM Reasons:</span>
        <div class="width-300px">
            @if(!$patient->cmReasons || !count($patient->cmReasons))
                <span class="text-secondary">None Specified</span>
            @endif
            <div class="w-100">
                @if($patient->cmReasons && count($patient->cmReasons))
                    @foreach($patient->cmReasons as $reason)
                        <div class="border-bottom pb-1 mb-1 d-flex align-items-start">
                            <b class="min-width-70px">{{$reason->code}}</b>
                            <span class="max-width-200px mr-3">{{$reason->description}}</span>
                            <div moe relative class="ml-auto">
                                <a start show><i class="fa fa-edit"></i></a>
                                <form url="/api/clientCmRmReason/updateBasic" class="mcp-theme-1" right >
                                    <input type="hidden" name="uid" value="{{$reason->uid}}">
                                    <div class="mb-2">
                                        <label class="text-sm mb-1 text-secondary">Code *</label>
                                        <input type="text" class="form-control form-control-sm"
                                               icd-autocomplete-code
                                               name="code" value="{{$reason->code}}" required>
                                    </div>
                                    <div class="mb-2">
                                        <label class="text-sm mb-1 text-secondary">Description</label>
                                        <input type="text" class="form-control form-control-sm"
                                               icd-autocomplete-description
                                               name="description" value="{{$reason->description}}">
                                    </div>
                                    <div>
                                        <button submit class="btn btn-sm btn-primary mr-1">Submit</button>
                                        <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                    </div>
                                </form>
                            </div>
                            <div moe relative class="ml-2">
                                <a start show><i class="fa fa-trash-alt text-danger on-hover-opaque"></i></a>
                                <form url="/api/clientCmRmReason/remove" class="mcp-theme-1" right >
                                    <input type="hidden" name="uid" value="{{$reason->uid}}">
                                    <p>Remove this CM reason?</p>
                                    <div>
                                        <button submit class="btn btn-sm btn-primary mr-1">Submit</button>
                                        <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    @endforeach
                @endif
                @if(!$patient->cmReasons || count($patient->cmReasons) < 2)
                    <div class="d-flex align-items-baseline">
                        <div moe>
                            <a start show>+ Add From Dx</a>
                            <form url="/api/clientCmRmReason/create" class="mcp-theme-1" >
                                <input type="hidden" name="clientUid" value="{{$patient->uid}}">
                                <input type="hidden" name="cmOrRm" value="CM">
                                <input type="hidden" name="code" value="">
                                <input type="hidden" name="description" value="">
                                <div class="mb-2">
                                    <label class="text-sm mb-1 text-secondary">Reason *</label>
                                    <select type="text" class="form-control form-control-sm problem-select" name="problem" required>
                                            <?php $problems = \App\Models\Point::getPointsOfCategory($patient, "PROBLEM"); ?>
                                        <option value="">-- select --</option>
                                        @foreach($problems as $problem)
                                            @if(!!@($problem->data->icd))
                                                <option value="{{$problem->uid}}" data-icd="{{$problem->data->icd}}" data-name="{{$problem->data->name}}">{{$problem->data->icd}} - {{$problem->data->name}}</option>
                                            @endif
                                        @endforeach
                                    </select>
                                </div>
                                <div>
                                    <button submit class="btn btn-sm btn-primary mr-1">Submit</button>
                                    <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                </div>
                            </form>
                        </div>
                        <span class="mx-2 text-secondary text-sm">|</span>
                        <div moe>
                            <a start show>+ Add</a>
                            <form url="/api/clientCmRmReason/create" class="mcp-theme-1" >
                                <input type="hidden" name="clientUid" value="{{$patient->uid}}">
                                <input type="hidden" name="cmOrRm" value="CM">
                                <div class="mb-2">
                                    <label class="text-sm mb-1 text-secondary">Code *</label>
                                    <input type="text" class="form-control form-control-sm"
                                           icd-autocomplete-code
                                           name="code" value="" required>
                                </div>
                                <div class="mb-2">
                                    <label class="text-sm mb-1 text-secondary">Description</label>
                                    <input type="text" class="form-control form-control-sm"
                                           icd-autocomplete-description
                                           name="description" value="">
                                </div>
                                <div>
                                    <button submit class="btn btn-sm btn-primary mr-1">Submit</button>
                                    <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                </div>
                            </form>
                        </div>
                    </div>
                @endif
            </div>
        </div>
    </div>

    <div class="font-weight-bold py-2 mb-2 border-bottom">Setup</div>

    <div class="mb-2 d-flex align-items-baseline">
        <span class="mr-2 min-width-110px">CCM Setup:</span>
        <div class="width-300px d-inline-flex align-items-center">
            @if($patient->has_cm_setup_been_performed)
                <span class="text-nowrap text-success">
                    @if($patient->cmSetupNote)
                        <i class="fa fa-check"></i>
                        <b>Performed on</b>
                        <a native target="_blank"
                           href="<?= route('patients.view.notes.view.dashboard', ['patient' => $patient, 'note' => $patient->cmSetupNote]) ?>"
                           class="font-weight-bold">{{friendly_date($patient->cmSetupNote->effective_dateest)}}</a>
                    @else
                        <i class="fa fa-exclamation-triangle text-warning-mellow"></i>
                        <b class="text-warning-mellow">Performed, but CM setup note missing!</b>
                    @endif
                </span>
            @else
                <span class="text-nowrap text-warning-mellow">
                    <i class="fa fa-times"></i>
                    <b>Not Performed</b>
                </span>
            @endif
        </div>
    </div>

    <?php $note = $patient->cmSetupNote; ?>

    @if($note && $note->was_cm_setup_performed)

        <div class="mb-2 d-flex align-items-baseline">
            <div class="width-300px d-inline-flex align-items-center">
                <span class="mr-2 min-width-110px">MCP Signature:</span>
                @if($note->cm_setup_mcp_signature_status !== 'SIGNED')
                    <b>Not Signed</b>
                    @if($pro->id === $patient->mcp_pro_id)
                        <div moe class="">
                            <a start show>Sign</a>
                            <form url="/api/note/updateCmSetupMcpSignatureStatus" class="mcp-theme-1">
                                <input type="hidden" name="uid" value="{{$note->uid}}">
                                <input type="hidden" name="mcpSignatureStatus" value="SIGNED">
                                <p>Sign CM Setup Performed as MCP?</p>
                                <div>
                                    <button submit class="btn btn-sm btn-success mr-1">Sign</button>
                                    <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                </div>
                            </form>
                        </div>
                    @endif
                @else
                    <b>SIGNED</b>
                    @if($pro->id === $patient->mcp_pro_id || $pro->is_admin)
                        <div moe class="ml-3">
                            <a start show>Undo</a>
                            <form url="/api/note/updateCmSetupMcpSignatureStatus" class="mcp-theme-1">
                                <input type="hidden" name="uid" value="{{$note->uid}}">
                                <input type="hidden" name="mcpSignatureStatus" value="">
                                <p>Undo sign as MCP for CM Setup Performed?</p>
                                <div>
                                    <button submit class="btn btn-sm btn-primary mr-1">Undo</button>
                                    <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                </div>
                            </form>
                        </div>
                    @endif
                @endif
            </div>
        </div>

        <div class="mb-2 d-flex align-items-baseline">
            <span class="mr-2 min-width-110px">CC Signature:</span>
            <div class="d-inline-flex align-items-center mr-2">
                @if($note->cm_setup_na_signature_status !== 'SIGNED')
                    <b>Not Signed</b>
                    @if($pro->id === $patient->default_na_pro_id)
                        <div moe class="">
                            <a start show>Sign</a>
                            <form url="/api/note/updateCmSetupNaSignatureStatus" class="mcp-theme-1">
                                <input type="hidden" name="uid" value="{{$note->uid}}">
                                <input type="hidden" name="naSignatureStatus" value="SIGNED">
                                <p>Sign CM Setup Performed as Care Coordinator?</p>
                                <div>
                                    <button submit class="btn btn-sm btn-success mr-1">Sign</button>
                                    <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                </div>
                            </form>
                        </div>
                    @endif
                @else
                    <b>SIGNED</b>
                    @if($pro->id === $patient->default_na_pro_id || $pro->is_admin)
                        <div moe class="ml-3">
                            <a start show>Undo</a>
                            <form url="/api/note/updateCmSetupNaSignatureStatus" class="mcp-theme-1">
                                <input type="hidden" name="uid" value="{{$note->uid}}">
                                <input type="hidden" name="naSignatureStatus" value="">
                                <p>Undo sign as Care Coordinator for CM Setup Performed?</p>
                                <div>
                                    <button submit class="btn btn-sm btn-primary mr-1">Sign</button>
                                    <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                </div>
                            </form>
                        </div>
                    @endif
                @endif
            </div>
        </div>

    @endif

</div>

<script>
    (function () {
        function init() {
            $(document)
                .off('change', '.problem-select')
                .on('change', '.problem-select', function() {
                    let form = $(this).closest('form'),
                        selected = $(this).find('option:selected').first();
                    form.find('[name="code"]').val(selected.attr('data-icd'));
                    form.find('[name="description"]').val(selected.attr('data-name'));
                    return false;
                });
        }
        addMCInitializer('patient-cm-setup', init, '#patient-cm-setup')
    }).call(window);
</script>