@php
    $medicaidStates = Config::get('constants.medicaid_states');
@endphp
<div moe>
    <a class="text-nowrap" href="" show start>Put Card Info</a>
    <form url="/api/insuranceCard/putCardInfo" style="min-width: 600px;"  id="editInsuranceCardForm">
        <input type="hidden" name="uid" value="{{ $card->uid }}">
        <div id="editInsuranceCardContainer" class="row mx-0 my-2">
            <div class="col-md-12 px-2">
                <div>
                    <div class="px-0">

                        <div class="row">
                            <div class="form-group col-md-12">
                                <p class="mb-1 font-weight-bold">Type of Insurance Card:</p>
                                <div class="form-check form-check-inline">
                                    <label class="form-check-label"><input class="form-check-input" type="radio" v-on:change="setCarrierCategory(event, 'MEDICARE')" v-model="carrierCategoryInternal" value="MEDICARE">Medicare Part B</label>
                                </div>
                                <div class="form-check form-check-inline">
                                    <label class="form-check-label"><input class="form-check-input" type="radio" v-on:change="setCarrierCategory(event, 'MEDICAID')" v-model="carrierCategoryInternal" value="MEDICAID">Medicaid</label>
                                </div>
                                <div class="form-check form-check-inline">
                                    <label class="form-check-label"><input class="form-check-input" type="radio" v-on:change="setCarrierCategory(event, 'COMMERCIAL')" v-model="carrierCategoryInternal" value="COMMERCIAL">Commercial</label>
                                </div>
                                <input v-if="!!carrierCategory" type="hidden" name="carrierCategory" v-model="carrierCategory">
                            </div>
                        </div>

                        <div class="px-0" v-if="!!carrierCategory">

                            {{-- commercial --}}
                            <div class="row" v-if="carrierCategory == 'COMMERCIAL'">
                                <div class="col-md-12">
                                    <div class="px-0 pb-2 mb-2 border-bottom">
                                        <h5 class="m-0 font-weight-bold">Commercial Insurance Information:</h5>
                                    </div>
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="control-label">Carrier Name</label>
                                    <input type="text" name="carrierName"  class="form-control input-sm" value="{{$card->carrier_name}}">
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="control-label">Carrier Memo</label>
                                    <input type="text" name="carrierMemo"  class="form-control input-sm" value="{{$card->carrier_name}}">
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="control-label">Member/Subscriber ID</label>
                                    <input type="text" name="memberId" class="form-control input-sm" value="{{$card->member_id}}">
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="control-label">Group Number</label>
                                    <input type="text" name="groupId" class="form-control input-sm" value="{{$card->group_id}}">
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="control-label">Phone Number for Providers</label>
                                    <input type="text" name="phoneNumberForProvider" class="form-control input-sm phone" value="{{$card->phone_number_for_provider}}">
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="control-label">Phone Number for Subscribers</label>
                                    <input type="text" name="phoneNumberForMembers" class="form-control input-sm phone" value="{{$card->phone_number_for_members}}">
                                </div>
                            </div>

                            {{--<div class="row" v-if="carrierCategory">
                              <div class="col-12">
                                <hr class="mt-0 mb-2">
                              </div>
                              <div class="form-group col-md-6">
                                <p class="mb-1 font-weight-bold">RPM covered (if medically needed)?</p>
                                <div class="form-check form-check-inline">
                                  <label class="form-check-label"><input class="form-check-input" type="radio" name="isRpmCoveredIfMedicallyNeeded" value="YES">Yes</label>
                                </div>
                                <div class="form-check form-check-inline">
                                  <label class="form-check-label"><input class="form-check-input" type="radio" name="isRpmCoveredIfMedicallyNeeded" value="NO">No</label>
                                </div>
                                <div class="form-check form-check-inline">
                                  <label class="form-check-label"><input class="form-check-input" type="radio" name="isRpmCoveredIfMedicallyNeeded" value="UNKNOWN">Unknown</label>
                                </div>
                              </div>
                              <div class="form-group col-md-6">
                                <p class="mb-1 font-weight-bold">Televisits covered (if medically needed)?</p>
                                <div class="form-check form-check-inline">
                                  <label class="form-check-label"><input class="form-check-input" type="radio" name="isTelevisitCoveredIfMedicallyNeeded" value="YES">Yes</label>
                                </div>
                                <div class="form-check form-check-inline">
                                  <label class="form-check-label"><input class="form-check-input" type="radio" name="isTelevisitCoveredIfMedicallyNeeded" value="NO">No</label>
                                </div>
                                <div class="form-check form-check-inline">
                                  <label class="form-check-label"><input class="form-check-input" type="radio" name="isTelevisitCoveredIfMedicallyNeeded" value="UNKNOWN">Unknown</label>
                                </div>
                              </div>
                            </div>--}}

                            {{-- medicaid --}}
                            <div class="row" v-if="carrierCategory == 'MEDICAID'{{-- || carrierCategory == 'COMMERCIAL'--}}">
                                <div class="col-md-12">
                                    <div class="px-0 pb-2 mb-2 border-bottom">
                                        <h5 class="m-0 font-weight-bold">Medicaid Information:</h5>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="row">

                                        <div class="form-group col-md-6">
                                            <label for="" class="control-label">Medicaid State</label>
                                            <input class="form-control input-sm" list="mcdPayerOptions" name="carrierName" id="carrierName" value="{{$card->carrier_name}}">
                                            <datalist id="mcdPayerOptions">
                                                <option value="">--</option>
                                                @foreach($medicaidStates as $state)
                                                    <option {{$state == $card->carrier_name ? 'selected' : ''}} >{{ $state }}</option>
                                                @endforeach
                                            </datalist>
                                        </div>

                                        <div class="form-group col-md-6">
                                            <label class="control-label">Medicaid Number</label>
                                            <input type="text" name="memberId" class="form-control input-sm" oninput="this.value = this.value.toUpperCase()" value="{{$card->member_id}}">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            {{-- medicare --}}
                            <div class="row" v-if="carrierCategory == 'MEDICARE'{{-- || carrierCategory == 'COMMERCIAL'--}}">
                                <div class="col-md-12">
                                    <div class="px-0 pb-2 mb-2 border-bottom">
                                        <h5 class="m-0 font-weight-bold">Medicare Information:</h5>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="row">
                                        <div class="form-group col-md-6">
                                            <label class="control-label">Medicare Number </label>
                                            <input type="text" name="memberId" class="form-control input-sm" oninput="this.value = this.value.toUpperCase()">
                                        </div>
                                    </div>
                                </div>

                            </div>

                            {{-- is subcr == patient? application only for medicaid and commercial --}}
                            <div class="row" v-if="carrierCategory == 'MEDICAID' || carrierCategory == 'COMMERCIAL'">
                                <div class="form-group col-md-12">
                                    <div class="form-check form-check-inline">
                                        <label class="form-check-label">
                                            <input type="hidden" name="isPatientSubscriber" :value="isPatientSubscriber ? 1 : 0">
                                            <input class="form-check-input" type="checkbox" v-model="isPatientSubscriber">
                                            Is Patient The Subscriber?
                                        </label>
                                    </div>
                                </div>
                            </div>

                            {{-- if subcr != patient. application only for medicaid and commercial --}}
                            <div v-if="!isPatientSubscriber && (carrierCategory == 'MEDICAID' || carrierCategory == 'COMMERCIAL')" class="row">
                                <div class="col-md-12 bg-light p-3 mb-2">
                                    <h5 class="m-0 font-weight-bold">Subscriber Details:</h5>
                                </div>
                                <div class="form-group col-md-4">
                                    <label class="control-label">Subscriber First Name</label>
                                    <input type="text" name="subscriberFirstName" value="{{ $card->subscriber_first_name }}" class="form-control input-sm">
                                </div>
                                <div class="form-group col-md-4">
                                    <label class="control-label">Subscriber Middle Name / MI</label>
                                    <input type="text" name="subscriberMiddleName" value="{{ $card->subscriber_middle_name }}" class="form-control input-sm">
                                </div>
                                <div class="form-group col-md-4">
                                    <label class="control-label">Subscriber Last Name</label>
                                    <input type="text" name="subscriberLastName" value="{{ $card->subscriber_last_name }}" class="form-control input-sm">
                                </div>
                                <div class="form-group col-md-4">
                                    <label class="control-label">Subscriber Suffix</label>
                                    <input type="text" name="subscriberSuffix" value="{{ $card->subscriber_suffix }}" class="form-control input-sm">
                                </div>
                                <div class="form-group col-md-4">
                                    <label class="control-label">Subscriber Sex</label>
                                    <select class="form-control input-sm" name="subscriberSex">
                                        <option value="">--</option>
                                        <option value="M" {{ $card->subscriber_sex === 'MALE' ? 'selected':'' }}>MALE</option>
                                        <option value="F" {{ $card->subscriber_sex === 'FEMALE' ? 'selected':'' }}>FEMALE</option>
                                        <option value="UNKNOWN" {{ $card->subscriber_sex === 'FEMALE' ? 'selected':'' }}>UNKNOWN</option>
                                    </select>
                                </div>
                                <div class="form-group col-md-4">
                                    <label class="control-label">Subscriber Dob</label>
                                    <input type="date" name="subscriberBirthDate" value="{{ $card->subscriber_birth_date }}" class="form-control input-sm">
                                </div>
                                <div class="form-group col-md-12">
                                    <label class="control-label">What is the patient's relationship to the subscriber?</label>
                                    <select name="relationshipToSubscriber" class="form-control input-sm">
                                        <option value="">--</option>
                                        <option {{ $card->relationship_to_subscriber == 'SPOUSE' ? 'selected' : '' }} value="SPOUSE">Spouse</option>
                                        <option {{ $card->relationship_to_subscriber == 'CHILD' ? 'selected' : '' }} value="CHILD">Child</option>
                                        <option {{ $card->relationship_to_subscriber == 'EMPLOYEE' ? 'selected' : '' }} value="EMPLOYEE">Employee</option>
                                        <option {{ $card->relationship_to_subscriber == 'ORGAN_DONOR' ? 'selected' : '' }} value="ORGAN_DONOR">Organ Donor</option>
                                        <option {{ $card->relationship_to_subscriber == 'CADAVER_DONOR' ? 'selected' : '' }} value="CADAVER_DONOR">Cadaver Donor</option>
                                        <option {{ $card->relationship_to_subscriber == 'LIFE_PARTNER' ? 'selected' : '' }} value="LIFE_PARTNER">Life Partner</option>
                                        <option {{ $card->relationship_to_subscriber == 'OTHER_RELATIONSHIP' ? 'selected' : '' }} value="OTHER_RELATIONSHIP">Other Relationship</option>
                                        <option {{ $card->relationship_to_subscriber == 'UNKNOWN' ? 'selected' : '' }} value="UNKNOWN">Unknown</option>
                                    </select>
                                </div>
                            </div>
                            {{--<div class="mb-1" v-if="carrierCategory == 'COMMERCIAL'">
                              <h6 class="font-weight-bold">Does the patient also have either a Medicare or Medicaid #? (optional)</h6>
                            </div>--}}

                        </div>
                    </div>
                </div>
            </div>
            {{--<button type="button" v-on:click="console.log($('#createInsuranceCardForm').serialize().replaceAll('&', '\n'));">Test Payload</button>--}}
        </div>
        <div class="mb-0">
            <button class="btn btn-primary btn-sm" submit>Submit</button>
            <button class="btn btn-default border btn-sm" cancel>Cancel</button>
        </div>
    </form>
</div>
<script>
    (function() {
        function init() {
            new Vue({
                el: '#editInsuranceCardContainer',
                delimiters: ['@{{', '}}'],
                data: {
                    carrierCategory: {!! $card->carrier_category ? "'{$card->carrier_category}'" : 'null' !!},
                    carrierCategoryInternal: {!! $card->carrier_category ? "'{$card->carrier_category}'" : 'null' !!},
                    isPatientSubscriber: {!! $card->is_patient_subscriber ? 'true':'false' !!},
                },
                methods: {
                    setCarrierCategory: function(_event, _carrierCategory) {
                        if(!$(_event.target).prop('checked')) return;
                        this.carrierCategory = _carrierCategory;
                    },
                    init: function() {

                    }
                },
                mounted: function() {
                    this.init();
                },
            });
        }
        addMCInitializer('editInsuranceCard', init, '#editInsuranceCardContainer');
    })();
</script>