<?php
$displayData = [
	'icd_1' => [
		'title' => 'ICD 1',
		'reason' => $record->rm_reason_icd1,
		'description' => $record->rm_reason_icd1description
	],
	'icd_2' => [
		'title' => 'ICD 2',
		'reason' => $record->rm_reason_icd2,
		'description' => $record->rm_reason_icd2description
	],
	'icd_3' => [
		'title' => 'ICD 3',
		'reason' => $record->rm_reason_icd3,
		'description' => $record->rm_reason_icd3description
	],
	'icd_4' => [
		'title' => 'ICD 4',
		'reason' => $record->rm_reason_icd4,
		'description' => $record->rm_reason_icd4description
	],
];
if($recordType === 'NOTE'){
	$displayData['icd_1']['reason'] = $record->note_reason_icd1;
	$displayData['icd_1']['description'] = $record->note_reason_icd1description;
	$displayData['icd_2']['reason'] = $record->note_reason_icd2;
	$displayData['icd_2']['description'] = $record->note_reason_icd2description;
	$displayData['icd_3']['reason'] = $record->note_reason_icd3;
	$displayData['icd_3']['description'] = $record->note_reason_icd3description;
	$displayData['icd_4']['reason'] = $record->note_reason_icd4;
	$displayData['icd_4']['description'] = $record->note_reason_icd4description;

	$points = \App\Models\Point
	    ::where('client_id', $patient->id)
	    ->where('is_removed_due_to_entry_error', false)
	    ->where(function ($query1) use ($note) {
	        $query1
	            ->where(function ($query2) use ($note) {
	                $query2->where('is_removed', false)
	                    ->where('addition_reason_category', 'DURING_VISIT')
	                    ->where('added_in_note_id', $note->id);
	            })
	            ->orWhereRaw("(SELECT count(id) from note_point WHERE is_active IS TRUE AND note_id = {$note->id} AND point_id = point.id) > 0");
	    })
	    ->orderBy('created_at')
	    ->get();

	$problems = [];

	foreach ($points as $point) {
	    if ($point->data) {
	        $point->data = json_decode($point->data);
	    }
	    if($point->category === 'PROBLEM' && @$point->data->name) $problems[] = $point->data->name . (@$point->data->icd ? ' (' . $point->data->icd . ')' : '');
	}

}
?>
<div>
	<div>
		<?php $emptyICDs = true; ?>
        @foreach($displayData as $rmKey=>$rmData)
                <?php
                $emptyICD = true;
                if (!empty($rmData['reason']) || !empty($rmData['description'])) {
                    $emptyICDs = false;
                    $emptyICD = false;
                }
                ?>
            @if(!$emptyICD)
                <div>
                    {{$rmData['reason']}}
                    @if(!empty($rmData['description']))({{ $rmData['description'] }})@endif
                </div>
            @endif
        @endforeach
		@if($emptyICDs)
			Relevant RM reason(s) not specified.
		@endif
	</div>

	@if($record->rm_reason_memo)
	<div>
			<span class="text-secondary mr-2"><b>Memo:</b></span>
			<small class="">{{ $record->rm_reason_memo }}</small>
	</div>
	@endif
</div>
