<?php

use App\Models\Point;

/** @var \App\Models\Client $patient */

$points = Point::getPointsOfCategory($patient, 'ALLERGY');
$tracker = Point::getGlobalSingletonOfCategory($patient, 'NO_KNOWN_TRACKER');
$numRelevant = 0;
$plural = 'Allergies';
?>

<?php if($tracker && @($tracker->data->no_known_drug_allergies)): ?>
    <div class="text-secondary mb-1">No known drug allergies</div>
<?php endif; ?>
<?php if($tracker && @($tracker->data->no_known_allergies_of_any_type)): ?>
    <div class="text-secondary mb-1">No known allergies of any type</div>
<?php endif; ?>

<?php if(!$tracker || !@($tracker->data->no_known_allergies_of_any_type)): ?>
<?php if (!count($points)): ?>
    <div class="text-secondary">-</div>
<?php else: ?>
<table class="table table-bordered table-xs table-cage mb-0">
    <?php $j = 0; foreach ($points as $point): $j++; ?>
	<?php $rel = $point->relevanceToNote($note); ?>
        <tr>
            <td class="width-22px pl-0 pr-1">
                @if($rel)
                    <?php $numRelevant++; ?>
                @endif
                {{ $j }}.
            </td>
            <td class="px-2">
                <div class=" <?= $point->is_removed ? 'strike-through' : '' ?> grow-till-300px">
                    <?= !!@($point->data->name) ? @($point->data->name) : '-' ?>
                    
                </div>
		    </td>
            <td class="width-300px">
                <div class="d-flex align-items-baseline pl-2">
                    <?php $review = $point->childReviewAddedInNote($note); ?>
                    <?php if(!!$review && @$review->data->value): ?>
                        <span class="pr-2">{!! $review->data->value !!}</span>
                    <?php else: ?>
                        <span class="pr-2 text-secondary">-</span>
                    <?php endif; ?>
                    <span class="text-nowrap">
                        <?php if ($point->is_removed): ?>
                            @if($point->removal_reason_category === 'DURING_VISIT')
                                @if ($point->removed_in_note_id === $note->id)
                                    <span class="text-sm text-secondary">Removed during visit</span>
                                @else
                                    <span class="text-sm text-secondary">Removed on a previous visit</span>
                                @endif
                            @elseif($point->removal_reason_category === 'ON_INTAKE')
                                <span class="text-sm text-secondary">Historic</span>
                            @endif
                        <?php elseif ($point->added_in_note_id === $note->id): ?>
                            <?php if ($point->addition_reason_category === 'DURING_VISIT'): ?>
                                <span class="text-sm text-success">Added during visit</span>
                            <?php else: ?>
                                <span class="text-sm text-info">Added on intake</span>
                            <?php endif;?>
                        <?php endif; ?>
                    </span>
                </div>
            </td>
            <td></td>
        </tr>
    <?php endforeach; ?>
</table>
<?php endif; ?>
<?php endif; ?>
