<?php

use App\Models\Point;

/** @var \App\Models\Client $patient */

$points = Point::getIntakePointsOfCategory($patient, 'CARE_TEAM_MEMBER', $note);
$numRelevant = 0;
$plural = 'Care team members';
?>

<?php if (!count($points)): ?>
    <div class="text-secondary">-</div>
<?php else: ?>
    <table class="table table-bordered table-xs table-cage mb-0">
    <?php $j = 0; foreach ($points as $point): $j++; ?>
        <?php $rel = $point->relevanceToNote($note); ?>
        <tr>
            <td class="width-22px pl-0 pr-1 {{ $rel ? ' text-info':'' }}">
                @if($rel)
                    <?php $numRelevant++; ?>
                @endif
                {{ $j }}.
            </td>
            <td class="px-2">
                <?php
                $parts = [];
                if(@($point->data->name)) $parts[] = '<b>' . $point->data->name . '</b>';
                if(@($point->data->specialty)) $parts[] = '<b>' . $point->data->specialty . '</b>';
                if(@($point->data->organization)) $parts[] = $point->data->organization;
                if(@($point->data->phone)) $parts[] = 'Ph:' . $point->data->phone;
                if(@($point->data->fax)) $parts[] = 'Fax:' . $point->data->fax;
                if(@($point->data->date)) $parts[] = $point->data->date;
                $parts = implode(' • ', $parts);
                ?>
                <span class="<?= $point->is_removed ? 'strike-through' : '' ?>">
                    <?= $parts ?>
                </span>
            </td>
            <td>
                <div class="d-flex align-items-baseline pl-2">
                    <?php $review = $point->childReviewAddedInNote($note); ?>
                    <?php if(!!$review && @$review->data->value): ?>
                        <span class="pl-2"><b>Subj.</b> {!! trim(strip_tags($review->data->value)) !!}</span>
                    <?php else: ?>
                        <span class="pr-2 text-secondary">-</span>
                    <?php endif; ?>
                    <span class="text-nowrap pl-2">
                    <?php if ($point->is_removed): ?>
                        @if($point->removal_reason_category === 'DURING_VISIT')
                            @if ($point->removed_in_note_id === $note->id)
                                <span class="text-sm text-secondary">Removed during visit</span>
                            @else
                                <span class="text-sm text-secondary">Removed on a previous visit</span>
                            @endif
                        @elseif($point->removal_reason_category === 'ON_INTAKE')
                            <span class="text-sm text-secondary">Historic</span>
                        @endif
                        <?php elseif ($point->added_in_note_id === $note->id): ?>
                            <?php if ($point->addition_reason_category === 'DURING_VISIT'): ?>
                            <span class="text-sm text-success">Added during visit</span>
                        <?php else: ?>
                            <span class="text-sm text-info">Added on intake</span>
                        <?php endif;?>
                        <?php endif; ?>
                    </span>
                </div>
            </td>
            <td></td>
        </tr>
    <?php endforeach; ?>
    </table>
<?php endif; ?>