@extends ($layout)
@section('inner-content')
    <link href="/select2/select2.min.css" rel="stylesheet" />
    <script src="/select2/select2.min.js"></script>

    <div class="d-block" id="patients-list">
      <div class="d-flex align-items-center pb-2">
        <p class="font-weight-bold text-secondary m-0 font-size-14">Surveys</p>
        <span class="mx-2 text-secondary">|</span>
        @include('app.patient.surveys.partials.create')
      </div>
      @if(!$isPopup)
        <div class="bg-light border border-bottom-0 p-2">
            @include('app.patient.surveys.partials.filters')
        </div>
      @endif
      <table class="table table-striped table-sm table-bordered m-0">
          <thead class="bg-light">
              <tr>
                  <th class="border-0" style="width:150px">Created At</th>
                  <th class="border-0" style="width:150px">Title</th>
                  <th class="border-0" style="width:200px">Internal Name</th>
                  <th class="border-0" style="width:180px">Survey Completed</th>
                  <th class="border-0" style="width:150px">Access Granted</th>
                  <th class="border-0" style="width:200px">Access Link</th>
              </tr>
          </thead>
          <tbody>
              @foreach ($records as $record)
                  <tr>
                      <td>{{ friendly_date($record->created_at) }}</td>
                      <td>{{ $record->title }}</td>
                      <td>{{ $record->internal_name }}</td>
                      <td>
                          @if ($record->is_completed)
                              <span class="text-success">Yes</span>
                              @include('app.patient.surveys.partials.survey-results')
                          @else
                              <span class="text-danger">No</span>
                          @endif
                      </td>
                      {{-- <td><?= parseRender(json_decode($record->survey_data ?? '{}')) ?></td> --}}
                      <td>
                          @if ($record->is_accessible_to_target)
                              <span class="text-success">Yes</span>
                          @else
                              <span class="text-danger">No</span>
                          @endif
                      </td>
                      <td>
                          @if ($record->is_accessible_to_target)
                              <a href="{{ route('view-survey-form', $record->access_key) }}" target="_blank"
                                  class="mr-2" native>Open Link</a>
                              @include('app.patient.surveys.partials.revoke-access-to-target')
                          @else
                              @include('app.patient.surveys.partials.grant-access-to-target')
                          @endif
                      </td>

                  </tr>
              @endforeach

              @if (count($records) === 0)
                  <tr>
                      <td colspan="8">No records found!</td>
                  </tr>
              @endif
          </tbody>
      </table>
      <div class="p-3">
        {{ $records->withQueryString()->links() }}
      </div>
    </div>

    <script>
        (function($){
            $('[show-survey-results]').click(function(){
                var uid = $(this).attr('show-survey-results');
                $.get("/survey/"+uid+"/preview", {disabled: 1}, function(response){
                    $('#'+uid).html(response);
                });
            });
        })(jQuery);
    </script>
@endsection
