<div moe wide relative center>
    <a href="" start show>+ Create Survey</a>
    <form url="{{ route("patients.view.surveys-create", $patient) }}" id="createSurveyForm" class="mcp-theme-1" right>
        <input type="hidden" name="entityType" value="Client">
        <input type="hidden" name="entityUid" value="{{ $patient->uid }}">
        <div>
            <div class="form-group">
                <label class="font-weight-bold">Title</label>
                <input type="text" name="title" class="form-control" />
            </div>
            <div class="form-group">
                <label class="font-weight-bold">Survey Template</label>
                <select name="internalName" class="form-control">
                    <option value=""></option>
                    @foreach ($forms as $form)
                        <option value="{{ $form }}">{{ formatAsTitle($form) }}</option>
                    @endforeach
                </select>
            </div>
             <div id="previewSurveyDefaultHtml" class="form-group d-none">
                <label class="font-weight-bold">Template Preview</label>
                <div class="border p-2 d-flex justify-content-center bg-light"></div>
            </div>

        </div>
        <div class="form-group text-nowrap mb-0">
            <button class="btn btn-sm btn-primary" submit>Submit</button>
            <button class="btn btn-sm btn-default border" close>Close</button>
        </div>
    </form>
</div>
<script>
    (function($){
        var createNewSurvey = {
            form: null,
            internalName: null,
            previewHtml: null,

            initOnInternalNameChange: function(){
                var self = this;
                self.form.find('select[name=internalName]').change(function(evt){
                    var value = evt.target.value;
                    self.internalName = value;
                    self.loadSelectedTemplate();
                });
            },
            loadSelectedTemplate: function() {
                var self = this;
                var data = {
                    entityType: "Client",
                    entityUid: "{{ $patient->uid }}",
                };
                $.get("/survey/template/preview/"+self.internalName, data, function(response){
                    try{
                        var defaultData = JSON.parse(response.survey_data);
                        var defaultHTML = response.surveyhtml;

                        self.initializeVueForm(defaultHTML, defaultData);

                    }catch(e){
                        toastr.error('Unable to preview template. ' + e.message);
                    }                             
                });
            },
            initializeVueForm: function(defaultHTML, defaultData){
                var self = this;
                var container = $('#previewSurveyDefaultHtml');
                container.find('div').html(defaultHTML);
                container.removeClass("d-none");
                new Vue({
                    el: "#previewSurveyDefaultHtml",
                    data: {
                        form: defaultData
                    }
                });
            },
            init: function(){
                this.form = $('#createSurveyForm');
                this.initOnInternalNameChange();
            }
        };
        createNewSurvey.init();
    })(jQuery);
</script>
