<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>Leadership Health | Survey</title>
    <link rel="icon" href="/img/icon.svg">

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,600" rel="stylesheet">

    {{-- mc initializers --}}
    <script src="/js/mc-init.js?v={{config('app.asset_version')}}"></script>

    {{-- vue --}}
    <script src="/js/vue.js"></script>


    <!-- <link href="{{ asset('bootstrap-4.5.0/css/bootstrap.css') }}" rel="stylesheet"> -->
    <link rel="stylesheet" href="/fontawesome-free-5.13.1-web/css/all.min.css">
    <link href="{{ asset('/css/app.css') }}?v={{config('app.asset_version')}}" rel="stylesheet">
    <link href="{{ asset('/css/style.css') }}?v={{config('app.asset_version')}}" rel="stylesheet">
    <link href="{{ asset('/css/yemi.css') }}?v={{config('app.asset_version')}}" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('/css/toastr.min.css') }}">
    <link href="{{asset('/css/z.css')}}?v={{config('app.asset_version')}}" rel=stylesheet>
    <!-- Styles -->

    <script src="{{ asset('js/app.js') }}?v={{config('app.asset_version')}}" type="application/javascript"></script>
    <script src="/js/jquery-3.5.1.min.js"></script>
    <script src="/js/jquery.form.min.js"></script>
    <script src="{{ asset('js/toastr.min.js') }}" type="application/javascript"></script>
    <script src="/js/yemi.js?v={{config('app.asset_version')}}" type="application/javascript"></script>



    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>


    <script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.5.0/sockjs.min.js"
            integrity="sha512-5yJ548VSnLflcRxWNqVWYeQZnby8D8fJTmYRLyvs445j1XmzR8cnWi85lcHx3CUEeAX+GrK3TqTfzOO6LKDpdw=="
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/stomp.js/2.3.3/stomp.min.js"
            integrity="sha512-iKDtgDyTHjAitUDdLljGhenhPwrbBfqTKWO1mkhSFH3A7blITC9MhYon6SjnMhp4o0rADGw9yAC6EW4t5a4K3g=="
            crossorigin="anonymous"></script>



    <script type="text/javascript">
        $(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
        });
    </script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/4.7.4/socket.io.js" integrity="sha512-tE1z+95+lMCGwy+9PnKgUSIeHhvioC9lMlI7rLWU0Ps3XTdjRygLcy4mLuL0JAoK4TLdQEyP0yOl/9dMOqpH/Q==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    @yield('head')
</head>

<style>
  .mcp-theme-1 * {
    font-size: 13px !important;
  }
  .mcp-theme-1 .title span {
    font-size: 17px !important;
  }
</style>

<body class="mcp-theme-1 bg-light">

    <main role="main" class="stag-content px-0 py-5">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-10">
                    <div class="border shadow-sm bg-white br-rounded p-4">
                      <div class="mb-4 text-center">
                        <img src="{{asset('img/logo.svg')}}" class="w-25" alt="">
                      </div>
                      @if(session('success'))
                        <h5 class="text-pry text-center title mb-3">
                          <span>Thank You for Your Contribution to Our Survey!</span>
                        </h5>
                        <div class="">

                          <p>We extend our gratitude for your recent participation in our medical survey. Your insights are crucial in advancing research and improving healthcare. Your willingness to share insights contributes to the collective effort to improve healthcare practices and patient outcomes.</p>
                          <p>If you have any questions or would like to receive updates on the survey findings, please feel free to reach out by calling us at <a class="text-nowrap" href="tel:(800) 990-5491">(800) 990-5491</a>. We value your continued involvement and appreciate your role in our shared mission for a healthier future.</p>
                          <p>Thank you for your time and dedication to our shared mission.</p>
                          <br>
                          <p>Best regards,
                            <br>
                            Leadership Health
                          </p>
                        </div>
                      @else
                        <h5 class="text-pry title mb-3">
                          @yield('survey-header')
                        </h5>
                        <hr>
                        @if(session('error'))
                            <div class="alert alert-danger p-1 rounded-0">{{ session('error') }}</div>
                        @endif
                        @yield('survey-content')
                      @endif
                    </div>
                </div>
            </div>
        </div>
    </main>


</body>

</html>
