<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name') }}</title>
    <link rel="icon" href="/img/icon.svg">

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,600" rel="stylesheet">

    {{-- mc initializers --}}
    <script src="/js/mc-init.js?v={{config('app.asset_version')}}"></script>

    {{-- vue --}}
    <script src="/js/vue.js"></script>

    {{-- Quill RTE --}}
    <script>
        window.stagQuillConfig = {
            toolbar: ['bold', 'italic', 'underline', { 'list': 'ordered'}, { 'list': 'bullet' }],
            keyboard: {
                bindings: {
                    handleEnter: {
                        key: 13,
                        handler: function() {
                            if(!$('.stag-shortcuts:visible').length) return true;
                        }
                    }
                }
            }
        };
    </script>
    <link href="/quill/quill.snow.css" rel="stylesheet">
    <script src="/quill/quill.js"></script>

    <!-- <link href="{{ asset('bootstrap-4.5.0/css/bootstrap.css') }}" rel="stylesheet"> -->
    <link rel="stylesheet" href="/fontawesome-free-5.13.1-web/css/all.min.css">
    <link href="{{ asset('/css/app.css') }}?v={{config('app.asset_version')}}" rel="stylesheet">
    <link href="{{ asset('/css/style.css') }}?v={{config('app.asset_version')}}" rel="stylesheet">
    <link href="{{ asset('/css/yemi.css') }}?v={{config('app.asset_version')}}" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('/css/toastr.min.css') }}">
    <link href="{{asset('/css/z.css')}}?v={{config('app.asset_version')}}" rel=stylesheet>
    <!-- Styles -->

    <script src="{{ asset('js/app.js') }}?v={{config('app.asset_version')}}" type="application/javascript"></script>
    <script src="/js/jquery-3.5.1.min.js"></script>
    <script src="/js/jquery.form.min.js"></script>
    <script src="{{ asset('js/toastr.min.js') }}" type="application/javascript"></script>
    <script src="/js/yemi.js?v={{config('app.asset_version')}}" type="application/javascript"></script>

    {{-- med ac --}}
    <link href='/css/autocomplete-lhc.min.css' rel="stylesheet">
    <script src='/js/autocomplete-lhc.js'></script>

    {{-- inline bootstrap datepicker --}}
    {{--    <link href='/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css' rel="stylesheet">
        <script src='/bootstrap-datepicker/js/bootstrap-datepicker.min.js'></script>--}}

    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

    {{-- pdfjs --}}
    <script src="/js/pdfjs-2.12.313/build/pdf.js"></script>

    <script src="{{ asset('js/tsvToArray.js') }}"></script>

    {{-- WebSockets --}}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.5.0/sockjs.min.js"
            integrity="sha512-5yJ548VSnLflcRxWNqVWYeQZnby8D8fJTmYRLyvs445j1XmzR8cnWi85lcHx3CUEeAX+GrK3TqTfzOO6LKDpdw=="
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/stomp.js/2.3.3/stomp.min.js"
            integrity="sha512-iKDtgDyTHjAitUDdLljGhenhPwrbBfqTKWO1mkhSFH3A7blITC9MhYon6SjnMhp4o0rADGw9yAC6EW4t5a4K3g=="
            crossorigin="anonymous"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/TableDnD/1.0.5/jquery.tablednd.min.js"></script>

    <script>
        window.segmentRefreshConfig = {!! json_encode(config('stag.segmentRefreshConfig')) !!};
    </script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

    <script type="text/javascript">
        $(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
        });
    </script>

    @yield('head')
</head>

<body>
<div id="mask" style="background: rgba(0, 0, 0, 0) url(&quot;/vanillaspin.gif&quot;) no-repeat scroll center center; position: fixed; top: 0px; left: 0px; z-index: 9999; width: 100%; height: 100%; display: none;">
</div>
<div id="moe-form-mask" style="background: rgba(0, 0, 0, .1) no-repeat scroll center center; position: fixed; top: 0px; left: 0px; z-index: 97; width: 100%; height: 100%; display: none;">
</div>



<main role="main" class="stag-content px-0">
    @yield('content')

</main><!-- /.container -->

<!-- shortcut/suggest component -->
<link href="/css/shortcut.css?v={{config('app.asset_version')}}" rel=stylesheet>
<script src="/js/shortcut.js?v={{config('app.asset_version')}}" type="application/javascript"></script>

<!-- pro suggest component -->
<script src="/js/pro-suggest.js?v={{config('app.asset_version')}}" type="application/javascript"></script>

<!-- script to handle history/back/forward for mc/xxx pages
+ all other JS initialization needed in fastLoaded pages  -->
<script src="/js/find-event-handlers.js?v={{config('app.asset_version')}}" type="application/javascript"></script>
<script src="/js/mc.js?v={{config('app.asset_version')}}" type="application/javascript"></script>

<form url="/api/proTextShortcut/create" id="create-shortcut-form" class="mcp-theme-1">
    <input type="hidden" name="proUid" value="{{ $pro->uid  }}">
    <div class="mb-2">
        <input type="text" class="form-control form-control-sm" name="shortcut" value="" placeholder="Shortcut Name" required>
    </div>
    <div class="mb-2">
        <textarea name="text" class="form-control form-control-sm" rows="3" id="selected-sc-text" placeholder="Content" required></textarea>
    </div>
    <div class="mb-0">
        <button class="btn btn-primary btn-sm" type="submit">Save</button>
        <button class="btn btn-default border btn-sm ml-1" type="reset">Cancel</button>
    </div>
</form>

<script>
    $(document).ready(function() {
        console.log({navBar});
        window.toggleChildLinks = function(_element) {
            $(_element).closest('.nav-item').toggleClass('nav-child-collapsed');
            return false;
        }
        const debounce = (func, wait) => {
            let timeout;
            return function executedFunction(...args) {
                const later = () => {
                    clearTimeout(timeout);
                    func(...args);
                };
                clearTimeout(timeout);
                timeout = setTimeout(later, wait);
            };
        };
        var lastTerm = '';
        var returnedFunction = debounce(function() {
            var term = $.trim($('#patient-search').val());
            if (!!term) {
                if(lastTerm !== term) {
                    $('.patient-search-results.suggestions-outer')
                        .html('<span class="d-block no-suggest-items">Searching...</span>')
                        .removeClass('d-none');
                    $.get('/patients-suggest?term=' + term, function(_data) {
                        if($.trim($('#patient-search').val()) === term) { // use returned data only if it's for the sent "term"
                            $('.patient-search-results.suggestions-outer').html(_data).removeClass('d-none');
                        }
                    });
                    lastTerm = term;
                }
            } else {
                $('.patient-search-results.suggestions-outer').addClass('d-none');
            }
        }, 250);
        $('#patient-search')
            .off('keydown')
            .on('keydown', function(e) {
                var activeItem = $('.patient-search-results.suggestions-outer .suggest-item.active');
                switch (e.which) {
                    case 27:
                        $('.patient-search-results.suggestions-outer').addClass('d-none');
                        markEventAsConsumed(e);
                        return false;
                    case 38:
                        if (activeItem.prev().length) {
                            activeItem.prev()
                                .addClass('active')
                                .siblings().removeClass('active');
                            activeItem = $('.patient-search-results.suggestions-outer .suggest-item.active');
                            if (activeItem.length) {
                                activeItem[0].scrollIntoView();
                            }
                        }
                        return false;
                    case 40:
                        if (activeItem.next().length) {
                            activeItem.next()
                                .addClass('active')
                                .siblings().removeClass('active');
                            activeItem = $('.patient-search-results.suggestions-outer .suggest-item.active');
                            if (activeItem.length) {
                                activeItem[0].scrollIntoView();
                            }
                        }
                        return false;
                    case 13:
                        if (activeItem.length) {
                            activeItem.first().trigger('mousedown');
                        }
                        return false;
                    default:
                        window.setTimeout(onQueryChange, 50);
                        break;
                }
            })
            .on('keypress paste', function(e) {
                window.setTimeout(onQueryChange, 50);
            })
            .on('blur', function(e) {
                $('.patient-search-results.suggestions-outer').addClass('d-none');
                return false;
            })
            .on('focus', function(e) {
                if (lastTerm) { //if search has content
                    $('.patient-search-results.suggestions-outer').removeClass('d-none');
                }
                return false;
            });

        $(document)
            .off('click.on-click-menu', '.on-click-menu>span')
            .on('click.on-click-menu', '.on-click-menu>span', function() {
                $(this).parent().find('[menu]').first().show();
                return false;
            });

        $('body')
            .off('mousedown.on-click-menu-outside-click')
            .on('mousedown.on-click-menu-outside-click', function (e) {
                if ($(e.target).closest('.on-click-menu').length && $(e.target).closest('.on-click-menu').find('[menu]').is(':visible')) {
                    return;
                }
                $('.on-click-menu [menu]').hide();
            });

        function onQueryChange() {
            returnedFunction();
        }
        $(document).on('mousedown', '.suggest-item.patient-suggest[data-target-uid]', function() {
            $('#patient-search').val('');
            $('.patient-search-results.suggestions-outer').addClass('d-none');
            fastLoad('/patients/view/' + $(this).attr('data-target-uid'), true, false, false);
            return false;
        });
        $(document)
            .off('click.tab-link', 'a[tab-link]')
            .on('click.tab-link', 'a[tab-link]', function () {
                let tab = $(this).attr('tab-link');
                $(this).siblings().removeClass('tab-link-active');
                $(this).addClass('tab-link-active');
                $(this).closest('[tab-links]').siblings('.cm-tab').addClass('d-none');
                $(this).closest('[tab-links]').siblings('.cm-tab[tab-key="' + tab + '"]').removeClass('d-none');
                // TODO: move to context
                if(window.vgBPChart) window.vgBPChart.flush();
                if(window.vgWtChart) window.vgWtChart.flush();
                return false;
            });

        addMCInitializer('hide-moes', function() {
            $('div[moe] form:not([show])').hide();
        });

        (function() {
            function init() {
                $(window).on('resize', adjustStickyHeader);
                $(window).on('scroll', adjustStickyHeader);
            }
            function adjustStickyHeader() {
                if($(window).scrollTop() > 0) {
                    $('.sticky-note-header').addClass('sticky');
                }
                else {
                    $('.sticky-note-header').removeClass('sticky');
                }
            }
            addMCInitializer('sticky-note-header', init, '.sticky-note-header');
        })();

    });
</script>
<script src="/js/click-to-copy.js?v={{config('app.asset_version')}}"></script>
<script src="/js/stag-popup.js?v={{config('app.asset_version')}}"></script>
<script src="/js/stag-suggest.js?v={{config('app.asset_version')}}"></script>
<script src="/js/stag-table-filter.js?v={{config('app.asset_version')}}"></script>
<script src="/js/option-list.js?v={{config('app.asset_version')}}"></script>
<script src="/js/show-on-click.js?v={{config('app.asset_version')}}"></script>
<script src="/js/dq.js?v={{config('app.asset_version')}}"></script>
<script src="/js/icd-autocomplete.js?v={{config('app.asset_version')}}"></script>
<script src="/js/stag-collapsible-card.js?v={{config('app.asset_version')}}"></script>
<script src="/js/stag-scrollbar.js?v={{config('app.asset_version')}}"></script>
@include('app/pdf/viewer')
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/dt/dt-1.10.24/fc-3.3.2/fh-3.1.8/datatables.min.css"/>
<script type="text/javascript" src="https://cdn.datatables.net/v/dt/dt-1.10.24/fc-3.3.2/fh-3.1.8/datatables.min.js"></script>
<link href="/v-splitter-px/v-splitter.css?v={{config('app.asset_version')}}" rel="stylesheet" >
<script src="/v-splitter-px/v-splitter.js?v={{config('app.asset_version')}}"></script>
</body>

</html>
