require('dotenv').config();
const express = require('express');
const { createServer } = require('http');
const { Server } = require('socket.io');

const app = express();
const server = createServer(app);
const io = new Server(server, {
  cors: {
   origin: process.env.APP_URL
}});

const port = 3333;

app.get('/', (req, res) => {
  res.send("Welcome");
});

io.on('connection', (socket) => {
  socket.on('SURVEY_DATA_CHANGED_BY_SESSION', (data) => {
    console.log('Called ', data);
    io.sockets.emit('UPDATE_SURVEY_DATA_CHANGED_BY_SESSION', data);
  });
});

server.listen(port, () => {
  console.log(`server running at http://localhost:${port}`);
});
